# desc: Ficheros de configuración del entorno XFCE
# ${XDG_CONFIG_HOME} => /home/usuario/.config

# 0) Directorio del patrón de Escritorio/Desktop:
VX_DIR_SKEL_DESKTOP="/usr/share/vitalinux/skel/Escritorio"

# Ficheros de configuración del entorno de Escritorio Xubuntu 22.04:

# 1) Fichero de configuración de xfce4-panel:
Paquete="xfce4-panel"
Ficheros=".config/xfce4/xfconf/xfce-perchannel-xml/xfce4-panel.xml"
Default="/etc/xdg/xfce4/panel/default.xml"
Inicio=""
Lanzadores="/usr/share/applications/panel-desktop-handler.desktop;/usr/share/applications/panel-preferences.desktop"
Comando="/usr/bin/xfce4-panel"

export VX_XFCE4_PANEL="${Paquete}:${Ficheros}:${Default}:${Inicio}:${Lanzadores}:${Comando}:"

# 1.1) Fichero de configuración de xfce4-desktop:
Paquete=""
Ficheros=".config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml"
Default=""
Inicio=""
Lanzadores=""
Comando=""

export VX_XFCE4_DESKTOP="${Paquete}:${Ficheros}:${Default}:${Inicio}:${Lanzadores}:${Comando}:"

# 1.2) Fichero de posición de los lanzadores dentro del escritorio: (se genenera al vuelo, al modificarlos)
Paquete=""
Ficheros=".config/xfce4/desktop/icons.screen.latest.rc"
Default=""
Inicio=""
Lanzadores=""
Comando=""

export VX_XFCE4_DESKTOP_ICONS="${Paquete}:${Ficheros}:${Default}:${Inicio}:${Lanzadores}:${Comando}:"

# 2) Fichero de configuración de atajos/shortcuts:
Paquete=""
Ficheros=".config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml"
Default=""
Inicio=""
Lanzadores=""
Comando=""

export VX_XFCE4_KEYBOARD_SHORTCUTS="${Paquete}:${Ficheros}:${Default}:${Inicio}:${Lanzadores}:${Comando}:"

# Array de ficheros de configuración anteriores:

export VXFICHSCONF=(
	"${VX_XFCE4_PANEL}"
	"${VX_XFCE4_DESKTOP}"
	"${VX_XFCE4_DESKTOP_ICONS}"
	"${VX_XFCE4_KEYBOARD_SHORTCUTS}"
)
